/* $Id: cpl_frameset_io.h,v 1.2 2005/01/28 10:19:42 yjung Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2005/01/28 10:19:42 $
 * $Revision: 1.2 $
 * $Name: cpl-3_1 $
 */

#ifndef CPL_FRAMESET_IO_H
#define CPL_FRAMESET_IO_H

#include <cpl_macros.h>
#include <cpl_frameset.h>
#include <cpl_imagelist.h>
#include <cpl_type.h>

CPL_BEGIN_DECLS

/* Convert a frame set to an image list */
cpl_imagelist * cpl_imagelist_load_frameset(const cpl_frameset *, cpl_type, 
        int, int) ;

CPL_END_DECLS

#endif
